#pragma once
#include <stdint.h>

class Sensor
{
public:
    uint8_t  id;
    uint8_t  type;
    int16_t field;
    
    Sensor(){}
    Sensor(const uint8_t idIn, const uint8_t typeIn, const uint16_t fieldIn):
    id(idIn), type(typeIn), field(fieldIn)
    {}
    
    bool operator==(const Sensor& in)
    {
        return id == in.id && type == in.type;
    }
    
};
